mscorlib 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.Guid("0000010b-0000-0000-c000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

For more information, see the existing documentation for IPersistFile and IPersist in the MSDN library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Provides the managed definition of the IPersistFile interface, with functionality from IPersist.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information, see the existing documentation for IPersistFile::IsDirty in the MSDN library.

  Checks an object for changes since it was last saved to its current file.

  S_OK if the file has changed since it was last saved; S_FALSE if the file has not changed since it was last saved.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The STGM enumeration is not part of the .NET Framework, but is documented in the MSDN library.

  For more information, see the existing documentation for IPersistFile::Load in the MSDN library.

  Opens the specified file and initializes an object from the file contents.

  A zero-terminated string containing the absolute path of the file to open. A combination of values from the STGM enumeration to indicate the access mode in which to open .
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  For more information, see the existing documentation for IPersistFile::Save in the MSDN library.

  Saves a copy of the object into the specified file.

  A zero-terminated string containing the absolute path of the file to which the object is saved. true to used the parameter as the current working file; otherwise false.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For more information, see the existing documentation for IPersistFile::SaveCompleted in the MSDN library.

  Notifies the object that it can write to its file.

  The absolute path of the file where the object was previously saved.